> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextual.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Parse Status

> Get the status of a parse job.

Parse job results are retained for up to 30 days after job creation. Fetching a status for a parse job that is older than 30 days will return a 404 error.



## OpenAPI

````yaml api-reference/openapi.json get /parse/jobs/{job_id}/status
openapi: 3.1.0
info:
  title: Endpoints
  version: '1.0'
servers:
  - url: https://api.contextual.ai/v1
security:
  - BearerAuth: []
paths:
  /parse/jobs/{job_id}/status:
    get:
      tags:
        - /parse
      summary: Parse Status
      description: >-
        Get the status of a parse job.


        Parse job results are retained for up to 30 days after job creation.
        Fetching a status for a parse job that is older than 30 days will return
        a 404 error.
      operationId: parse_status_parse_jobs__job_id__status_get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Unique ID of the parse job
            title: Job Id
          description: Unique ID of the parse job
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParseStatusResponseV1'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ParseStatusResponseV1:
      properties:
        status:
          $ref: '#/components/schemas/DocumentStatusEnum'
          title: Job Status
          description: The current status of the parse job
          examples:
            - completed
        file_name:
          type: string
          title: File Name
          description: The name of the file that was uploaded for parsing
      type: object
      required:
        - status
        - file_name
      title: ParseStatusResponseV1
      description: /parse status reponse object.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentStatusEnum:
      type: string
      enum:
        - pending
        - processing
        - retrying
        - completed
        - failed
        - cancelled
      title: DocumentStatusEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````